export declare const opt: {
    useMidi: number;
    preserveMidiLearn: number;
    preserveValue: number;
    midilearn: number;
    mididump: number;
    outline: null;
    knobSrc: null;
    knobSprites: null;
    knobWidth: null;
    knobHeight: null;
    knobDiameter: null;
    knobColors: string;
    sliderSrc: null;
    sliderWidth: null;
    sliderHeight: null;
    sliderKnobSrc: null;
    sliderKnobWidth: null;
    sliderKnobHeight: null;
    sliderDitchlength: null;
    sliderColors: string;
    switchWidth: null;
    switchHeight: null;
    switchDiameter: null;
    switchColors: string;
    paramWidth: null;
    paramHeight: null;
    paramFontSize: number;
    paramColors: string;
    valuetip: number;
    xypadColors: string;
};
export declare class WebAudioControlsWidgetManager {
    constructor();
    addWidget(w: any): void;
    initWebAudioControls(): void;
    enableInputs(): void;
    midiConnectionStateChange(e: any): void;
    onMIDIStarted(midi: any): void;
    addMidiListener(callback: any): void;
    getCurrentConfigAsJSON(): any;
    handleMIDIMessage(event: any): void;
    contextMenuOpen(e: any, knob: any): void;
    contextMenuCloseByKey(e: any): void;
    contextMenuClose(): void;
    contextMenuLearn(): void;
    contextMenuClear(e: any): void;
    preserveMidiLearn(): void;
}
export declare class WebAudioControlsWidget extends HTMLElement {
    constructor();
    sendEvent(ev: any): void;
    getAttr(n: any, def: any): any;
    showtip(d: any): void;
    setupLabel(): void;
    pointerover(e: any): void;
    pointerout(e: any): void;
    contextMenu(e: any): void;
    setMidiController(channel: any, cc: any): void;
    listeningToThisMidiController(channel: any, cc: any): boolean;
    processMidiEvent(event: any): void;
}
export declare class WebAudioKnob extends WebAudioControlsWidget {
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    setupImage(): void;
    redraw(): void;
    _setValue(v: any): 0 | 1;
    setValue(v: any, f: any): void;
    keydown(e: any): void;
    wheel(e: any): void;
    pointerdown(ev: any): false | undefined;
}
export declare class WebAudioSlider extends WebAudioControlsWidget {
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    setupImage(): void;
    redraw(): void;
    _setValue(v: any): 0 | 1;
    setValue(v: any, f: any): void;
    keydown(e: any): void;
    wheel(e: any): void;
    pointerdown(ev: any): false | undefined;
}
export declare class WebAudioSwitch extends WebAudioControlsWidget {
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    setupImage(): void;
    redraw(): void;
    setValue(v: any, f: any): void;
    pointerdown(ev: any): false | undefined;
}
export declare class WebAudioParam extends WebAudioControlsWidget {
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    setupImage(): void;
    redraw(): void;
    setValue(v: any, f: any): void;
    pointerdown(ev: any): void;
}
export declare class WebAudioKeyboard extends WebAudioControlsWidget {
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    setupImage(): void;
    redraw(): void;
    _setValue(v: any): 0 | 1;
    setValue(v: any, f: any): void;
    wheel(e: any): void;
    keydown(e: any): void;
    keyup(e: any): void;
    pointerdown(ev: any): void;
    sendEventFromKey(s: any, k: any): void;
    sendevent(): void;
    setdispvalues(state: any, note: any): void;
    setNote(state: any, note: any, actx: any, when: any): void;
}
